/**
 * 
 */
package plugins.wlx;

import java.awt.Rectangle;

import plugins.DefaultParam;

/**
 * @author Ken
 * 
 */
public abstract class WLXPluginAdapter implements WLXPluginInterface {

	/**
	 * {@inheritDoc}
	 */
	public abstract int listLoad(final int parentWin, final String input,
			final int showFlags);

	/**
	 * {@inheritDoc}
	 */
	public void listCloseWindow(final int listWin) {
	}

	/**
	 * {@inheritDoc}
	 */
	public String listGetDetectString(final int maxLen) {
		return null;
	}

	/**
	 * {@inheritDoc}
	 */
	public int listSearchText(final int handle, final String searchString,
			final int searchParameter) {
		return LISTPLUGIN_OK;
	}

	/**
	 * {@inheritDoc}
	 */
	public int listSendCommand(final int listWin, final int command,
			final int parameter) {
		return LISTPLUGIN_OK;
	}

	/**
	 * {@inheritDoc}
	 */
	public int listPrint(final int listWin, final String fileToPrint,
			final String defPrinter, final int printFlags,
			final Rectangle margins) {
		return LISTPLUGIN_OK;
	}

	/**
	 * {@inheritDoc}
	 */
	public int listNotificationReceived(final int listWin, final int message,
			final int wParam, final int lParam) {
		return LISTPLUGIN_OK;
	}

	/**
	 * {@inheritDoc}
	 */
	public Object listGetPreviewBitmap(final String fileToLoad,
			final int width, final int height, final String contentBuf,
			final int contentBufLen) {
		return null;
	}

	/**
	 * {@inheritDoc}
	 */
	public void listDefaultGetParams(final DefaultParam dps) {
	}

	/**
	 * {@inheritDoc}
	 */
	public int listLoadNext(final int parentWin, final int listWin,
			final String fileToLoad, final int showFlags) {
		return LISTPLUGIN_ERROR;
	}

	/**
	 * {@inheritDoc}
	 */
	public int listSearchDialog(final int listWin, final int findNext) {
		return LISTPLUGIN_ERROR;
	}

}
